librtas error while running EEH tests (librtas2)

Bug #1597363 reported by bugproxy on 2016-06-29
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
librtas (Ubuntu)
Critical
Adam Conrad
Xenial
Critical
Adam Conrad

Bug Description

== Comment: #0 - Manvanthara B. Puttashankar - 2016-06-29 01:27:05 ==
---Problem Description---
librtas error while running EEH tests (librtas2)

---uname output---
Linux ltciofvtr-s822l2-lp3 4.4.0-24-generic #43-Ubuntu SMP Wed Jun 8 19:25:36 UTC 2016 ppc64le ppc64le ppc64le GNU/Linux

Machine Type = s822l

---Steps to Reproduce---
 librtas needs to pick up an patch to address the below error from errinjct

errinjct eeh -v -f 6 -s net/eth1 -a 0xde000000 -m 0x0000FFFFFF800000
Injecting an ioa-bus-error with the following data:

BUS ADDR: de000000
ADDR MASK: ffffff800000
CONFIG ADDR: 900000
PHB UNIT_ID: 800000020000135
FUNCTION: 6
Store to PCI Memory Address Space - inject an Adress Parity Error
errinjct: Could not open RTAS error injection facility
errinjct: librtas returned an unknown error code (-50331649) for function ioa-bus-error

Parent bug: Bug 121866 : EEH via errinjct tool fails with librtas error in Ubuntu 16.04 (Shiner-T & Grand Canyon)

errinjct issues will be solved with multiple patches 1 librtas + 2 errijnct.

Based on suggestion from developer in Bug 121866 reporting this specific issue to librtas package , the patch needs to be picked by canonical.

Note: have verified the librtas2 for 16.04.01 , the patch hasn't gone into yet.

upstream patch fix link: https://github.com/nfont/librtas/tree/next/librtas_src

Userspace tool common name: librtas2

The userspace tool has the following bit modes: ppc64le

Userspace rpm: librtas2

== Comment: #2 - Manvanthara B. Puttashankar <email address hidden> - 2016-06-29 01:31:29 ==
commit needs for this bug:

commit 7f841902eb50ca77c3aa884e3fd924c2bbd817ca
Author: Vasant Hegde <email address hidden>
Date: Mon Jun 13 09:33:57 2016 -0400

    librtas: Fix endianess issue in errinjct rtas call

    Unlike other RTAS calls, first output parameter of "ibm,open-errinjct"
    is "open token", not status value.

Default Comment by Bridge

tags: added: architecture-ppc64le bugnameltc-143195 severity-critical targetmilestone-inin---
Changed in ubuntu:
assignee: nobody → Taco Screen team (taco-screen-team)
Kevin W. Rudd (kevinr) on 2016-06-29
affects: ubuntu → librtas (Ubuntu)
Steve Langasek (vorlon) on 2016-06-29
Changed in librtas (Ubuntu):
assignee: Taco Screen team (taco-screen-team) → Adam Conrad (adconrad)
importance: Undecided → Critical
status: New → Triaged
Changed in librtas (Ubuntu Xenial):
status: New → Triaged
assignee: nobody → Adam Conrad (adconrad)
importance: Undecided → Critical
milestone: none → ubuntu-16.04.1
Adam Conrad (adconrad) wrote :

Uploaded to Debian as 2.0.0-2 (can be synced to yakkety shortly), and to the xenial queue as 2.0.0-1ubuntu1.

Changed in librtas (Ubuntu):
status: Triaged → Fix Committed
Changed in librtas (Ubuntu Xenial):
status: Triaged → In Progress

Hello bugproxy, or anyone else affected,

Accepted librtas into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/librtas/2.0.0-1ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in librtas (Ubuntu Xenial):
status: In Progress → Fix Committed
tags: added: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package librtas - 2.0.0-2

---------------
librtas (2.0.0-2) unstable; urgency=medium

  * 02_errinjct.patch: Fix endianess issue with errinjct (LP: #1597363)

 -- Adam Conrad <adconrad@0c3.net> Mon, 04 Jul 2016 05:50:22 -0600

Changed in librtas (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package librtas - 2.0.0-1ubuntu1

---------------
librtas (2.0.0-1ubuntu1) xenial; urgency=medium

  * 02_errinjct.patch: Fix endianess issue with errinjct (LP: #1597363)

 -- Adam Conrad <email address hidden> Mon, 04 Jul 2016 05:50:22 -0600

Changed in librtas (Ubuntu Xenial):
status: Fix Committed → Fix Released

------- Comment From <email address hidden> 2016-07-13 14:06 EDT-------
Librtas-2.0.1 has been released and does contain the fix for this bz.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers